Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.timestamp
Class TimestampUtil

    java.lang.Object
      be.ehealth.technicalconnector.service.timestamp.TimestampUtil

    public final class TimestampUtil

extends Object

Helperclass for timestamping.

Method Summary
`static org.bouncycastle.tsp.TimeStampToken` | `getTimestamp(byte[] tsTokenResponse)`
`static org.bouncycastle.tsp.TimeStampResponse` | `getTimestampResponse(byte[] tsTokenResponse)`
`static org.bouncycastle.tsp.TimeStampToken` | `getTimeStampToken(byte[] tsToken)` Helper method for tests Process timestamp, use the Bouncy Castle framework to get the Time Stamp Token.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTimestampResponse

    public static org.bouncycastle.tsp.TimeStampResponse getTimestampResponse(byte[] tsTokenResponse)
                                                                       throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### getTimestamp

    public static org.bouncycastle.tsp.TimeStampToken getTimestamp(byte[] tsTokenResponse)
                                                            throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### getTimeStampToken

    public static org.bouncycastle.tsp.TimeStampToken getTimeStampToken(byte[] tsToken)
                                                                 throws TechnicalConnectorException

  Helper method for tests Process timestamp, use the Bouncy Castle framework to get the Time Stamp Token.

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.